<?php 
use App\Libraries\ejLib;

$var = ejLib::getInstance();
$soapclient = $var->getWs();
$wsClave = $var->get_wsClave();
 $usuario = $_SESSION['operador'];
$id_doc = trim( $var->desencriptar_AES($usuario['id_doc'], $usuario['x']) ); 
//print_r($_POST);
if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");
$id_apartado= '1';
$tipo = 2;

if(isset($_GET['tipo'])) $tipo = trim($_GET['tipo']); if(isset($_POST['tipo'])) $tipo = trim($_POST['tipo']);

if(isset($_GET['id_apartado'])) $id_apartado = trim($_GET['id_apartado']); if(isset($_POST['id_apartado'])) $id_apartado = trim($_POST['id_apartado']);

if(isset($_GET['Clave_Pac'])) $Clave_Pac = trim($_GET['Clave_Pac']); if(isset($_POST['Clave_Pac'])) $Clave_Pac = trim($_POST['Clave_Pac']);

    $rs = $soapclient->AdministrarCatalogos_getLstVariablesDeApartados($id_apartado,  $wsClave);
    $Soma = new SimpleXMLElement(utf8_encode($rs));
	
    $getSoma = $soapclient->Agenda_get_Somatometria($_POST['centro_sal'],  $_POST['folio'], 1, $wsClave);
    $Nota = new SimpleXMLElement(utf8_encode($getSoma));

    $getDatosPaciente = $soapclient->BuscarPaciente_getLstPorClavePac($Clave_Pac, $wsClave);
    $rsDatosPac = new SimpleXMLElement(utf8_encode($getDatosPaciente));
   

    $fnac = utf8_decode($rsDatosPac->respuesta->fecha_nac);
    $sexo = utf8_decode($rsDatosPac->respuesta->sexo);



    foreach ($Soma->respuesta as $item) {
    	//print_r($item->icono);
    		
			$item->icono = str_replace("*.'", '<', "".$item->icono);
			$item->icono = str_replace("'.*", '>', "".$item->icono);
			if ($item->tipo_icono == 2) {
				$item->icono = '<img class = "contiene-svg" src ="'.$item->icono.'" />';		
    		 	//echo $item->icono;
    		}
    		if ($item->id_objeto == 1){
    			$item->objeto = '<button name="obj'.$item->id_variable.'" id="obj'.$item->id_variable.'">Capturar</button>';
    		}
    		if ($item->id_objeto == 2){
    			
    		}

    		if ($item->id_objeto == 3){
    			$item->objeto = '<label><input type="checkbox" name="obj'.$item->id_variable.'" id="obj'.$item->id_variable.'" value="">&nbsp;</label>';
    		}

    		if ($item->id_objeto == 4){
    			$item->objeto = '<select name="obj'.$item->id_variable.'" id="obj'.$item->id_variable.'""> 
    					<option value="0">Regular</option>
    					<option value="1">Irregular</option>
    					</select>';
    		}

    		if ($item->id_objeto == 5){
    			$item->objeto = '<input class ="objTextBox" name="obj'.$item->id_variable.'" name="obj'.$item->id_variable.'"/>';
    		}
    		

    		   
 

    		
			$array[] = $item;
		}
	$Soma = $array;

	$opt_radioButton = '';
	$opt_radioButton.='<label class="radio-inline hidden" id="radioOptAyuno1" name= "radioOptAyuno" > <input name="optAyuno" id="optAyuno" type="radio" value="1" onchange="upsertSomatometria();"> Si comió</label>';
	$opt_radioButton.='<label class="radio-inline hidden" id="radioOptAyuno2" name= "radioOptAyuno" > <input name="optAyuno" id="optAyuno" type="radio" value="0" onClick="validaAyuno()" onchange="upsertSomatometria();"> No comió '.$Soma[1]->icono.'</label>';

	$visiblePC= '';
	$visiblePrem = '';




$fechaOrient = $Nota->respuesta->fecha_orien;

if($fechaOrient != '') {
	$date = str_replace('/', '-', $fechaOrient);
	$fechaOrient = date('Y-m-d', strtotime($date));
	


}

?>
<style>
	.contiene-svg {
	        width: 20px  !important;
	        height: 20px !important;
	    }

	   
	 .objTextBox {
	        width: 20%  !important;
	        height: 20% !important;
	    }  

	 .iconos {
	       display:  none;
	    }        
	.Showicono {
	       display:  inline-block;
	    }    
	.hideIcono {
	       display:  none;
	}



	.temp .contiene-svg {
	filter: brightness(0) saturate(100%) invert(47%) sepia(72%) saturate(2101%) hue-rotate(85deg) brightness(102%) contrast(119%);
}
	.taSist .contiene-svg {
	filter: brightness(0) saturate(100%) invert(15%) sepia(50%) saturate(7479%) hue-rotate(286deg) brightness(72%) contrast(115%);
}
	.taDiast .contiene-svg {
		filter: brightness(0) saturate(100%) invert(38%) sepia(82%) saturate(2434%) hue-rotate(208deg) brightness(100%) contrast(103%);
}

	.freCard .contiene-svg{
		filter: brightness(0) saturate(100%) invert(9%) sepia(98%) saturate(5681%) hue-rotate(3deg) brightness(105%) contrast(116%);
	}
	.frecResp .contiene-svg {
		filter: brightness(0) saturate(100%) invert(50%) sepia(80%) saturate(3497%) hue-rotate(172deg) brightness(95%) contrast(101%);
	}

	.oximet .contiene-svg{
		filter: brightness(0) saturate(100%) invert(54%) sepia(97%) saturate(2585%) hue-rotate(0deg) brightness(103%) contrast(101%);
	}

	.glucem .contiene-svg {
		filter: brightness(0) saturate(100%) invert(43%) sepia(96%) saturate(2354%) hue-rotate(90deg) brightness(98%) contrast(111%);
	}

	.hemo .contiene-svg {
		filter: brightness(0) saturate(100%) invert(28%) sepia(63%) saturate(5632%) hue-rotate(350deg) brightness(100%) contrast(104%);
	}
	.orientAlim .contiene-svg {
	filter: brightness(0) saturate(100%) invert(14%) sepia(29%) saturate(5994%) hue-rotate(226deg) brightness(94%) contrast(132%);
	}
	.cintura .contiene-svg {
		filter: brightness(0) saturate(100%) invert(15%) sepia(100%) saturate(7399%) hue-rotate(304deg) brightness(91%) contrast(103%);
	}

	.cadera .contiene-svg {
		filter: brightness(0) saturate(100%) invert(35%) sepia(61%) saturate(2034%) hue-rotate(154deg) brightness(93%) contrast(103%);
	}
	.brazo .contiene-svg {
		filter: brightness(0) saturate(100%) invert(23%) sepia(95%) saturate(2585%) hue-rotate(20deg) brightness(108%) contrast(101%);
	}
	.peso .contiene-svg {
	filter: brightness(0) saturate(100%) invert(18%) sepia(18%) saturate(6447%) hue-rotate(155deg) brightness(98%) contrast(101%);
	}
	.talla .contiene-svg {
	filter: brightness(0) saturate(100%) invert(19%) sepia(59%) saturate(4725%) hue-rotate(271deg) brightness(104%) contrast(112%);
	}
	.imc .contiene-svg {
		filter: brightness(0) saturate(100%) invert(37%) sepia(94%) saturate(1765%) hue-rotate(175deg) brightness(89%) contrast(101%);
	
	}
	.perimetro .contiene-svg {
	filter: brightness(0) saturate(100%) invert(47%) sepia(52%) saturate(3511%) hue-rotate(321deg) brightness(99%) contrast(104%);
	}

	.prema .contiene-svg {
	filter: brightness(0) saturate(100%) invert(20%) sepia(62%) saturate(3933%) hue-rotate(199deg) brightness(89%) contrast(101%);
	}
.cartilla .contiene-svg {
	filter: brightness(0) saturate(100%) invert(11%) sepia(73%) saturate(7171%) hue-rotate(4deg) brightness(98%) contrast(119%);
	}

	.reactivos .contiene-svg {
	filter: brightness(0) saturate(100%) invert(69%) sepia(83%) saturate(4984%) hue-rotate(107deg) brightness(103%) contrast(104%);
	}
	.pulso .contiene-svg {
filter: brightness(0) saturate(100%) invert(14%) sepia(76%) saturate(7500%) hue-rotate(2deg) brightness(84%) contrast(122%);
	}

.inputText{
 			width: 70px  !important;
	    
	}


</style>




<div class="modal-header" id="modalObservaciones" name="modalObservaciones">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">SIGNOS VITALES</h4>
    <!-- Se agregan los objetos tipo hidden para poderlos recuperar desde el formulario principal, esto se hace para contenido dinamicos  -->
    

</div>
<div class="modal-body">
    <div class="row">
           
                 <form id="frm_somatometria" name="frm_somatometria">
                 	<input type="hidden" name="h_centro_sal" id="h_centro_sal" value="{{ $_POST['centro_sal']}} ">
                 	<input type="hidden" name="h_folio" id="h_folio" value="{{$_POST['folio']}}">
                 	<input type="hidden" name="h_tipo" id="h_tipo" value="{{ $tipo }}">
					<div class="row alinear_centrado temp"> <!-- TEMPERATURA -->
						 <div class="col-sm-3">	</div>

						    <div class="col-sm-4">					
						    	<div class="input-group input-group-sm"> <!-- Temperatura -->
								<?php echo ($Soma[15]->icono); ?> <label>&nbsp;Temperatura: </label> 
								<input class="inputText" pattern="[0-9]*" type="number" name="txtTemp" id="txtTemp"  value="{{ utf8_decode($Nota->respuesta->tem) }}" onchange="var temp = this.value; 
								if(temp>=30 && temp<=36.4)/* Temperatura entre 30 y  36.4 se marcará como Hipotermia */ {  
									$('#alertTemp').removeClass('hidden'); 
									 document.getElementById('alertTemp').style.color = 'orange';
									 $('#alertaTemp #lblAlertTemp').html('Hipotermia');
								// 

							} else if(temp>=37.6 && temp<=37.8) /*Temperatura entre 37.6 y 37.8 se marcará como Hipertermia*/ { 
								$('#alertTemp').removeClass('hidden'); 
								document.getElementById('alertTemp').style.color = 'orange';
								$('#alertaTemp #lblAlertTemp').html('Hipertermia');
							
						} else if(temp>=37.9 && temp<=44) { 
								$('#alertTemp').removeClass('hidden'); 
								document.getElementById('alertTemp').style.color = 'red';
								$('#alertaTemp #lblAlertTemp').html('Fiebre');
							
						}else {
							 $('#alertaTemp #lblAlertTemp').html('Normal');
							  $('#alertTemp').addClass('hidden'); 
						}
						
						
						

								"  min="30" max="40" onkeypress="return this.value.length < 4;" oninput="if(this.value.length>=4) { this.value = this.value.slice(0,4); }" placeholder="00.0">  <label> &#176;C </label>  
								
							</div>	
						    </div>
						    <div class="col-sm-3" id="alertaTemp">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alertTemp" id="alertTemp" aria-hidden="true"></i> <label id="lblAlertTemp">  </label>
						    </div>	
					</div>	   

					<div class="row alinear_centrado taSist"> <!-- TA Sistolica --> 
						<div class="col-sm-3"></div>		
						<div class="col-sm-4">		    
							<div class="input-group input-group-sm"> <!-- TA Sistolica -->
								<?php echo ($Soma[16]->icono); ?> <label for="txtSist">&nbsp;TA Sistolica: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtSist" id="txtSist"  placeholder="000" value="{{ utf8_decode($Nota->respuesta->sistolica) }}" onchange="var sist = this.value; 
								if(sist>=50 && sist<=99)/* 50 y 99  */ {  
									$('#alertSist').removeClass('hidden'); 
									 document.getElementById('alertSist').style.color = 'orange';
									 $('#alertaSist #lblAlertSist').html('Abajo de lo Esperado');
								// 

								} else if(sist>=100 && sist<=109) /*entre 100 y 109  */ { 
									$('#alertSist').removeClass('hidden'); 
									document.getElementById('alertSist').style.color = 'orange';
									$('#alertaSist #lblAlertSist').html('Normal Baja');
							
								} else if(sist>=130 && sist<=139) { /*entre 130 y 139 Desplegar Icono de Alerta Amarilla  y  el mensaje */
									$('#alertSist').removeClass('hidden'); 
									document.getElementById('alertSist').style.color = 'orange';
									$('#alertaSist #lblAlertSist').html('Normal Alta');
							
								} else if(sist>=140 && sist<=159) { 
									$('#alertSist').removeClass('hidden'); 
									document.getElementById('alertSist').style.color = 'red';
									$('#alertaSist #lblAlertSist').html('Estadio 1');
							
								} else if(sist>=160 && sist<=179) { 
									$('#alertSist').removeClass('hidden'); 
									document.getElementById('alertSist').style.color = 'red';
									$('#alertaSist #lblAlertSist').html('Estadio 2');
							
								} else if(sist>=180 && sist<=300) { 
									$('#alertSist').removeClass('hidden'); 
									document.getElementById('alertSist').style.color = 'red';
									$('#alertaSist #lblAlertSist').html('Estadio 3');
							
								} else {
									$('#alertaSist #lblAlertSist').html('Normal');
									  $('#alertSist').addClass('hidden'); 
								}

								

								" maxlength="3" min="50" max="300" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }">  <label> mmHg </label> 
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaSist">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alertSist" id="alertSist" aria-hidden="true"></i> <label id="lblAlertSist">  </label>
						</div>
					 </div>	

					 <div class="row alinear_centrado taDiast"> <!-- TA Diastolica --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
						   
							<div class="input-group input-group-sm"> <!-- TA Diastolica -->
								<?php echo ($Soma[17]->icono); ?> <label for="txtDiast">&nbsp;TA Diastolica: </label> <input class="inputText" pattern="[0-9]+"  type="number" name="txtDiast" id="txtDiast"  placeholder="000" value="{{ utf8_decode($Nota->respuesta->diastolica) }}" onchange="var diast = this.value; 
								if(diast>=20 && diast<=59){  
									$('#alertDiast').removeClass('hidden'); 
									 document.getElementById('alertDiast').style.color = 'orange';
									 $('#alertaDiast #lblAlerDiast').html('Abajo de lo Esperado');
								// 

								} else if(diast>=60 && diast<=79)  { 
									$('#alertDiast').removeClass('hidden'); 
									document.getElementById('alertDiast').style.color = 'orange';
									$('#alertaDiast #lblAlerDiast').html('Normal Baja');
							
								} else if(diast>=85 && diast<=89) { 
									$('#alertDiast').removeClass('hidden'); 
									document.getElementById('alertDiast').style.color = 'orange';
									$('#alertaDiast #lblAlerDiast').html('Normal Alta');
							
								} else if(diast>=90 && diast<=99) { 
									$('#alertDiast').removeClass('hidden'); 
									document.getElementById('alertDiast').style.color = 'red';
									$('#alertaDiast #lblAlerDiast').html('Estadio 1');
							
								} else if(diast>=100 && diast<=109) { 
									$('#alertDiast').removeClass('hidden'); 
									document.getElementById('alertDiast').style.color = 'red';
									$('#alertaDiast #lblAlerDiast').html('Estadio 2');
							
								} else if(diast>=110 && diast<=200) { 
									$('#alertDiast').removeClass('hidden'); 
									document.getElementById('alertDiast').style.color = 'red';
									$('#alertaDiast #lblAlerDiast').html('Estadio 3');
							
								} else {
									$('#alertaDiast #lblAlerDiast').html('Normal');
									  $('#alertDiast').addClass('hidden'); 
								}
								

								" maxlength="3" min="20" max="200" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }">  <label> mmHg </label> 
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaDiast">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alertDiast" id="alertDiast" aria-hidden="true"></i> <label id="lblAlerDiast">  </label>
						</div>
					 </div>	

					 <div class="row alinear_centrado freCard"> <!-- FRECUENCIA CARDIACA--- PENDIENTE VALIDACIONES --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
						   
							<div class="input-group input-group-sm"> <!-- Frecuencia Cardiaca -->
								<?php echo ($Soma[18]->icono); ?> <label for="txtCardiac">&nbsp;Frecuencia Cardiaca: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtCardiac" id="txtCardiac"  placeholder="000" value="{{ utf8_decode($Nota->respuesta->cardiaca) }}" onchange="var cardiaca = this.value; var fecha_nac = '{{ $fnac }}'; var Edad = Math.trunc(restaFechas(fecha_nac , '{!! date("d/m/Y") !!}') /(365.25));
								if (Edad<=15){
									jqGetAjaxShort('getFrecuenciaCardxEdad', 'alertaCardiaca', {fecha_nacimiento: fecha_nac, frecuencia_card: cardiaca}, false);
								}
								

								" maxlength="3" min="40" max="220" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }">  <label> lpm </label> 
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaCardiaca">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerCard" id="alerCard" aria-hidden="true"></i> <label id="lblAlertCar">  </label>
						</div>
					 </div>	

					 <div class="row alinear_centrado frecResp"> <!-- FRECUENCIA RESPIRATORIA--> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
						
							<div class="input-group input-group-sm"> <!-- RESPIRATORIA -->
								<?php echo ($Soma[19]->icono); ?> <label for="txtResp">&nbsp;Frecuencia respiratoria:</label> <input class="inputText"   pattern="[0-9]+" type="number" name="txtResp" id="txtResp"  placeholder="00" value="{{ utf8_decode($Nota->respuesta->respiratoria) }}" onchange="var resp = this.value;  " maxlength="2" min="10" max="99" onkeypress="return this.value.length < 2;" oninput="if(this.value.length>=2) { this.value = this.value.slice(0,2); }">  <label> </label> 
					 		</div>  
					 	</div>

					 </div>	
				 		  
				  <div class="row alinear_centrado oximet"> <!--Oximetria--> 
					<div class="col-sm-3"></div>
					<div class="col-sm-4">	
					
						<div class="input-group input-group-sm"> <!-- Oximetria -->
							<?php echo ($Soma[20]->icono); ?> <label for="txtOxi">&nbsp;Oximetria:</label> <input class="inputText"  pattern="[0-9]+" type="number" name="txtOxi" id="txtOxi"  placeholder="000" value="{{ utf8_decode($Nota->respuesta->oximetria) }}" onchange="var oxim = this.value; " maxlength="3" min="1" max="100" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }"><label> &#37; </label> 
				 		</div>  
				 	</div>

				 </div>	

					<div class="row alinear_centrado glucem"> <!-- Glucemia --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-5">	
						   
							<div class="input-group input-group-sm"> <!-- Glucemia -->
								<?php echo ($Soma[21]->icono); ?> <label for="txtGlucem">&nbsp;Glucemia: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtGlucem" id="txtGlucem"  placeholder="000" value="{{ utf8_decode($Nota->respuesta->glucemia) }}" onchange="var glucemia = this.value; 



								if(glucemia >= 0){
									$('#radioOptAyuno1').removeClass('hidden'); 
									$('#radioOptAyuno2').removeClass('hidden'); 
									$('#alertaGlucem #lblAlertGlucem').html('');	
								}
								var ayuno = $('input:radio[name=optAyuno]:checked').val();
								
								
								if(glucemia>=20 && glucemia<=59 ){   
									
									$('#alertaGlucem #lblAlertGlucem').html('Hipoglucemia');
								// 

								} else if(glucemia>=200 && glucemia<=999)  {  // entre 200 y 999   
													
									$('#alertaGlucem #lblAlertGlucem').html('Diabetes Mellitus');
							
								} 
								if (ayuno === undefined) {
							         $.notify('Favor de especificar si cuenta con ayuno');

							         return false;
							    }
								
								" maxlength="3" min="20" max="999" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }"> <label>&nbsp;</label> <?php echo $opt_radioButton; ?> 
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaGlucem">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerGlucem" id="alerGlucem" aria-hidden="true"></i> <label id="lblAlertGlucem">  </label>
						</div>
					 </div>	

					 <div class="row alinear_centrado pulso" > <!-- Pulso --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
							<div class="input-group input-group-sm"> <!--Pulso  -->
								<?php echo ($Soma[5]->icono); ?> <label for="selectPulso">&nbsp;Pulso: </label> <select name="selectPulso" id="selectPulso" onchange=""><option value="0" <?php if($Nota->respuesta->pulso == 0) echo 'selected'; ?> >Regular</option> <option value="1" <?php if($Nota->respuesta->pulso == 1) echo 'selected'; ?>>Irregular</option></select>
					 		</div>  
					 	</div>
					 	

					</div> 

					 <div class="row alinear_centrado hemo"> <!-- Hemoglobina --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
							<div class="input-group input-group-sm"> <!-- Hemoglobina -->
								<?php echo ($Soma[14]->icono); ?> <label for="txtHemog">Hemoglobina: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtHemog" id="txtHemog"  placeholder="00" value="{{ utf8_decode($Nota->respuesta->hb) }}" onchange="var hemog = this.value; " min="0"  style="width: 50px;">  <label> g/dL  </label> 
					 		</div>  
					 	</div>

					 </div>	
				 		
					 <div class="row alinear_centrado orientAlim hidden"> <!-- Orientacion Alimentaria: --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-6">	
							<div class="input-group input-group-sm"> <!-- Orientacion Alimentaria: -->
								<?php echo ($Soma[4]->icono); ?> <label for="txtOrientacion">&nbsp;Orientacion Alimentaria:: </label>
								<label><input type="checkbox" name="checkOrientacion" id="checkOrientacion" value="" <?php if($Nota->respuesta->orientacion_alim == 1)echo 'checked="checked"'; ?> onclick="validaOrientacion()" onchange="">&nbsp;</label> <label class= "hidden" for="fechaOrientacion" id="lblFechaOrient" name="lblFechaOrient"> <input type="date" name="fechaOrientacion" id="fechaOrientacion" onchange=" " value="{{ $fechaOrient }}"  placeholder="[dd/mm/aaaa]" max="{{ date('Y-m-d') }}" />
									
									
								 </label>
					 		</div>  
					 	</div>

					 </div>	


					  <div class="row alinear_centrado cintura"> <!-- Cintura --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-3">	
							<div class="input-group input-group-sm"> <!-- Cintura -->
								<?php echo ($Soma[7]->icono); ?> <label for="txtCintura">&nbsp;Cintura: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtCintura" id="txtCintura"  placeholder="000" value="{{ utf8_decode($Nota->respuesta->cintura) }}" onchange="var cintura = this.value; var fecha_nac = '{{ $fnac }}'; var Edad = Math.trunc(restaFechas(fecha_nac , '{!! date("d/m/Y") !!}') /(365.25)); 
									var sexo = '{{ $sexo}}';
									var cadera = $('#txtCadera').val();
									
									if(Edad >= 20 && cintura != 0 && cadera !=0) {
										var x =cintura/cadera;
										if (x > 0.95 && sexo == 1){ 
											$('#alertaCintura #lblAlertCintura').html('RIESGO ALTO');
										}

										else if (x >= 0.90 &&  x < 0.95 && sexo == 1){
											$('#alertaCintura #lblAlertCintura').html('RIESGO MODERADO');
										}

										else if (x < 0.90 && sexo == 1){
											$('#alertaCintura #lblAlertCintura').html('RIESGO BAJO');
										}
										else if (x > 0.85 && sexo == 0){
											$('#alertaCintura #lblAlertCintura').html('RIESGO ALTO');
										}
										else if (x >= 0.80 && x<=0.85  && sexo == 0){
											$('#alertaCintura #lblAlertCintura').html('RIESGO MODERADO');
										}

										else if (x<0.80  && sexo == 0){
											$('#alertaCintura #lblAlertCintura').html('RIESGO BAJO');
										} else {
											$('#alertaCintura #lblAlertCintura').html('');
										}


						
									} 
									 
									" min="0"  style="width: 50px;" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }">  <label> cm </label> 
								
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaCintura">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerCint" id="alerCint" aria-hidden="true"></i> <label id="lblAlertCintura">  </label>
						</div>

					 </div>	

					 <div class="row alinear_centrado cadera"> <!-- Cadera --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-3">	
							<div class="input-group input-group-sm"> <!-- Cadera -->
								<?php echo ($Soma[8]->icono); ?> <label for="txtCadera">&nbsp;Cadera: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtCadera" id="txtCadera"  placeholder="000" value="{{ utf8_decode($Nota->respuesta->cadera) }}" onchange="var cadera = this.value; var fecha_nac = '{{ $fnac }}'; var Edad = Math.trunc(restaFechas(fecha_nac , '{!! date("d/m/Y") !!}') /(365.25)); 
									var sexo = '{{ $sexo}}';
									var cintura = $('#txtCintura').val();
									
									if(Edad >= 20 && cintura != 0 && cadera !=0) {
										var x =cintura/cadera;
										if (x > 0.95 && sexo == 1){ 
											$('#alertaCadera #lblAlertCadera').html('RIESGO ALTO');
										}

										else if (x >= 0.90 &&  x < 0.95 && sexo == 1){
											$('#alertaCadera #lblAlertCadera').html('RIESGO MODERADO');
										}

										else if (x < 0.90 && sexo == 1){
											$('#alertaCadera #lblAlertCadera').html('RIESGO BAJO');
										}
										else if (x > 0.85 && sexo == 0){
											$('#alertaCadera #lblAlertCadera').html('RIESGO ALTO');
										}
										else if (x >= 0.80 && x<=0.85  && sexo == 0){
											$('#alertaCadera #lblAlertCadera').html('RIESGO MODERADO');
										}

										else if (x<0.80  && sexo == 0){
											$('#alertaCadera #lblAlertCadera').html('RIESGO BAJO');
										} else {
											$('#alertaCadera #lblAlertCadera').html('');
										}


						
									}   " min="0"  style="width: 50px;" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }">  <label> cm </label> 
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaCadera">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerCadera" id="alerCadera" aria-hidden="true"></i> <label id="lblAlertCadera">  </label>
						</div>

					 </div>

					 <div class="row alinear_centrado brazo"> <!-- Brazo --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-3">	
							<div class="input-group input-group-sm"> <!-- Brazo -->
								<?php echo ($Soma[9]->icono); ?> <label for="txtBrazo">&nbsp;Brazo: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtBrazo" id="txtBrazo"  placeholder="00" value="{{ utf8_decode($Nota->respuesta->brazo) }}" onchange="var brazo = this.value; " min="0"  style="width: 50px;" onkeypress="return this.value.length < 2;" oninput="if(this.value.length>=2) { this.value = this.value.slice(0,2); }">  <label> cm  </label> 
					 		</div>  
					 	</div>

					 </div>				
				 		
					 <div class="row alinear_centrado peso"> <!-- Peso --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-3">	
							<div class="input-group input-group-sm"> <!-- Peso -->
								<?php echo ($Soma[10]->icono); ?> <label for="txtPeso">&nbsp;Peso: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtPeso" id="txtPeso"  placeholder="00.000" value="{{ utf8_decode($Nota->respuesta->peso) }}" onchange="var peso = this.value; 
								var fecha_nac = '{{ $fnac }}';
								var sexo = '{{ $sexo}}';
								var dateTo = new Date();
								var talla = $('#txtTalla').val();
								var Edad = Math.trunc(restaFechas(fecha_nac , '{!! date("d/m/Y") !!}') /(365.25)); 
								var meses = monthDiff(new Date(fecha_nac.substr(6,4), fecha_nac.substr(3,2)), new Date(pad(dateTo.getFullYear()), pad(dateTo.getMonth()+1)));

								if (peso>0){
									jqGetAjaxShort('getPesoxEdad', 'alertaPeso', {fecha_nacimiento: fecha_nac, peso: peso, meses: meses, sexo: sexo}, false);
								}
								
					 			
								if (peso> 0 && talla > 0 && Edad <=20) {
									jqGetAjaxShort('getPesoxTalla', 'alertaPeso', {fecha_nacimiento: fecha_nac, peso: peso, talla: talla, sexo: sexo}, false);
								}


								if(peso>0 && talla> 0 && Edad >= 5){ // calculo de IMC
									var imc = peso/(talla * talla);
									$('#txtIMC').val(imc);

									if(Edad>=20) {
										var imc = peso/(talla * talla);

										$('#txtIMC').val(imc);
										if(imc < 18.5 ){
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'red';
											$('#alertaIMC #lblAlertIMC').html('BAJO PESO');
										} else if (imc>= 18.5 && imc < 25){
											$('#alertaIMC #lblAlertIMC').html('PESO NORMAL');
										
										} else if (imc>= 25.0 && imc < 30) {
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'orange';
											$('#alertaIMC #lblAlertIMC').html('PRE-OBESIDAD');
										} else if (imc>= 30.0 && imc < 35){ 
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'orange';
											$('#alertaIMC #lblAlertIMC').html('OBESIDAD');
										
										} else if (imc>= 35.0 && imc < 40){ 
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'red';
											$('#alertaIMC #lblAlertIMC').html('OBESIDAD CLASE II');
										
										} else if (imc>= 40.0) { 
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'red';
											$('#alertaIMC #lblAlertIMC').html('OBESIDAD CLASE III');

										}




									} else {

										jqGetAjaxShort('getIMCxEdad', 'alertaIMC', {sexo: sexo, fecha_nacimiento: fecha_nac, talla: talla, peso: peso, meses: meses }, false);

										


									}

								}
								



								 
								 " maxlength="6" min="0" max="400" onkeypress="return this.value.length < 6;" oninput="if(this.value.length>=6) { this.value = this.value.slice(0,6); }"> <label>kg</label> 
					 		</div>  
					 	</div>

					 	<div class="col-sm-3" id="alertaPeso">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerPeso" id="alerPeso" aria-hidden="true"></i> <label id="lblAlertPeso">  </label>
						</div>

					 </div>	

					 <div class="row alinear_centrado talla"> <!-- Talla --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-3">	
							<div class="input-group input-group-sm"> <!-- Talla -->
								<?php echo ($Soma[12]->icono); ?> <label for="txtTalla">&nbsp;Talla: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtTalla" id="txtTalla"  placeholder="0.00" value="{{ utf8_decode($Nota->respuesta->talla) }}" onchange="var talla = this.value; var peso =  $('#txtPeso').val(); var fecha_nac = '{{ $fnac }}';
								var Edad = Math.trunc(restaFechas(fecha_nac , '{!! date("d/m/Y") !!}') /(365.25)); 
								var sexo = '{{ $sexo}}';

								var dateTo = new Date();
								var meses = monthDiff(new Date(fecha_nac.substr(6,4), fecha_nac.substr(3,2)), new Date(pad(dateTo.getFullYear()), pad(dateTo.getMonth()+1)));
							
								if (talla.substr(1,1) !== '.'){
									$.notify('Capturar talla en metros');
									this.focus();
									return;
								}

								if(peso>0 && talla> 0 && Edad >= 5){ // calculo de IMC
									var imc = peso/(talla * talla);
									$('#txtIMC').val(imc);
									if(Edad>=20) {
										
										if(imc < 18.5 ){
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'red';
											$('#alertaIMC #lblAlertIMC').html('BAJO PESO');
										} else if (imc>= 18.5 && imc < 25){
											$('#alertaIMC #lblAlertIMC').html('PESO NORMAL');
										
										} else if (imc>= 25.0 && imc < 30) {
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'orange';
											$('#alertaIMC #lblAlertIMC').html('PRE-OBESIDAD');
										} else if (imc>= 30.0 && imc < 35){ 
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'orange';
											$('#alertaIMC #lblAlertIMC').html('OBESIDAD');
										
										} else if (imc>= 35.0 && imc < 40){ 
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'red';
											$('#alertaIMC #lblAlertIMC').html('OBESIDAD CLASE II');
										
										} else if (imc>= 40.0) { 
											$('#alerIMC').removeClass('hidden'); 
											document.getElementById('alerIMC').style.color = 'red';
											$('#alertaIMC #lblAlertIMC').html('OBESIDAD CLASE III');

										}




									} else {

										jqGetAjaxShort('getIMCxEdad', 'alertaIMC', {sexo: sexo, fecha_nacimiento: fecha_nac, talla: talla, peso: peso, meses: meses }, false);

										


									}

								}
								
								 " min="0"  style="width: 50px;" onkeypress="return this.value.length < 4;" oninput="if(this.value.length>=4) { this.value = this.value.slice(0,4); }">  <label> metros  </label> 
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaTalla">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerTalla" id="alerTalla" aria-hidden="true"></i> <label id="lblAlertTalla">  </label>
						</div>

					 </div>	

					<div class="row alinear_centrado imc"> <!-- IMC --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-3">	
							<div class="input-group input-group-sm"> <!-- IMC -->
								<?php echo ($Soma[11]->icono); ?> <label for="txtIMC">&nbsp;IMC: </label> <input class="inputText" pattern="[0-9]+" type="number" name="txtIMC" id="txtIMC"  placeholder="" value="" onchange="var imc = this.value; " min="0" disabled style="width: 60px;">  <label>   </label> 
					 		</div>  
					 	</div>

					 	<div class="col-sm-3" id="alertaIMC">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerIMC" id="alerIMC" aria-hidden="true"></i> <label id="lblAlertIMC">  </label>
						</div>

					</div>	
				 		

					<div class="row alinear_centrado perimetro" id="divPC" name="divPC"> <!-- Perímetro Cefálico --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
							<div class="input-group input-group-sm"> <!-- Perímetro Cefálico -->
								<?php echo ($Soma[13]->icono); ?> <label for="txtPerimetroCef">&nbsp;Perímetro Cefálico: </label> <input class="inputText"  type="number" pattern="[0-9]+" name="txtPerimetroCef" id="txtPerimetroCef"  placeholder="00" value="{{ utf8_decode($Nota->respuesta->per_cefalico) }}" onchange="var perimetroCef = this.value; var fecha_nac = '{{ $fnac }}'; var sexo = '{{ $sexo}}'; var Edad = Math.trunc(restaFechas(fecha_nac , '{!! date("d/m/Y") !!}') /(365.25)); 

								if(Edad <= 3){ // calculo de perimetro cef. 
									jqGetAjaxShort('getPerimetroCef', 'alertaPerimCefal', {sexo: sexo, fecha_nacimiento: fecha_nac, perimetroCef: perimetroCef }, false);
								}

								
								
								"   min="0" maxlength="3" max="1000" onkeypress="return this.value.length < 3;" oninput="if(this.value.length>=3) { this.value = this.value.slice(0,3); }">  <label> cm  </label> 
					 		</div>  
					 	</div>
					 	<div class="col-sm-3" id="alertaPerimCefal">					
						    	<i class="fa fa-exclamation-triangle hidden"  name= "alerPerCefal" id="alerPerCefal" aria-hidden="true"></i> <label id="lblAlertPerCefal">  </label>
						</div>

					</div> 

					<div class="row alinear_centrado prema" id="divPrema" name="divPrema"> <!-- Niño prematuro --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
							<div class="input-group input-group-sm"> <!-- Niño prematuro -->
								<?php echo ($Soma[2]->icono); ?> <label for="checkPrematuro">&nbsp;¿Es niño prematuro? </label> <label><input type="checkbox" name="checkPrematuro" id="checkPrematuro" value="" <?php if($Nota->respuesta->prematuro == 1)echo 'checked="checked"'; ?>  onchange="">&nbsp;</label>  
					 		</div>  
					 	</div>
					 	

					</div> 

					 <div class="row alinear_centrado cartilla hidden" > <!-- Presentó cartilla? --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
							<div class="input-group input-group-sm"> <!-- Niño prematuro -->
								<?php echo ($Soma[3]->icono); ?> <label for="checkCartilla">&nbsp;¿Presentó cartilla? </label> <label><input type="checkbox" name="checkCartilla" id="checkCartilla" value="" <?php if($Nota->respuesta->cartilla == 1) echo 'checked="checked"'; ?> onchange="">&nbsp;</label>  
					 		</div>  
					 	</div>
					 	

					</div> 

					<div class="row alinear_centrado reactivos hidden" > <!-- Reactivos --> 
						<div class="col-sm-3"></div>
						<div class="col-sm-4">	
							<div class="input-group input-group-sm"> <!--Reactivos -->
								<?php echo ($Soma[0]->icono); ?> <label for="btnAntig">&nbsp;¿Reactivos Antig.? </label> <a href="#" id="btnAntig" name="btnAntig" class="btn btn-primary btn-sm"> +</a>
					 		</div>  
					 	</div>
					 	

					</div> 	
				 
					
				<div id="somatometria" name="somatometria"></div>
				</form>
           
            
    </div>
    <div class="modal-footer">
        <p class="text-center">
          
                <input type="button" class="btn btn-success" id="cmdRegistroSignos" name="cmdRegistroSignos" value="Guardar" />
         
            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>

        </p>
    </div>
</div>
<script type="text/javascript">
	  setTimeout(function(){
		// $('#txtTemp').inputmask('00.0', {'placeholder': ''})

		$('#divPrema').addClass('hidden'); 
		$('#divPC').addClass('hidden'); 

		var fecha_nac = '{{ $fnac }}'; 
		var Edad = Math.trunc(restaFechas(fecha_nac , '{!! date("d/m/Y") !!}') /(365.25));
		var peso = $('#frm_somatometria #txtPeso').val();
		var talla = $('#frm_somatometria #txtTalla').val();
		if (peso>0 && talla >0){
			var imc = peso/(talla * talla);
			$('#frm_somatometria #txtIMC').val(imc);
		}
		
		if(Edad <= 3){
			$('#divPC').removeClass('hidden'); 
			
		} else if(Edad < 2){
			$('#divPrema').removeClass('hidden'); 

		} 
		var checkOrientacion = document.getElementById("checkOrientacion");	
		if (checkOrientacion.checked == true){
  			$('#lblFechaOrient').removeClass('hidden'); 
  		} else {
   			$('#lblFechaOrient').addClass('hidden'); 
 		 }	
	 
 		var fechaOrientacion =  $('#frm_somatometria #fechaOrientacion').val();
 		
 

		

		// 
	}, 500);	
</script>





















<!-- reajuste de vista para Signos vitales -->

